<?php
/**
 * @version        1.6.2
 * @package        Joomla
 * @subpackage     EDocman
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2011-2014 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */
// no direct access
defined( '_JEXEC' ) or die ;
if ($config->show_detail_in_popup)
{
    JHtml::_('behavior.modal', 'edocman-modal');
    $popup = 'class="edocman-modal" rel="{handler: \'iframe\', size: {x: 800, y: 500}}"';
}
else
{
    $popup = '';
}
$user  = JFactory::getUser() ;
$userId = $user->id ;
?>
<table class="table table-striped table-bordered table-condensed">
    <thead>
        <tr>
            <th>
                <?php echo JText::_('EDOCMAN_TITLE'); ?>
            </th>
            <?php
                if ($config->category_table_show_filetype)
                {
                ?>
                    <th class="edocman-table-filetype-col">
                        <?php echo JText::_('EDOCMAN_FILE_TYPE'); ?>
                    </th>
                <?php
                }
                if ($config->category_table_show_filesize)
                {
                ?>
                    <th class="edocman-table-filesize-col">
                        <?php echo JText::_('EDOCMAN_FILESIZE'); ?>
                    </th>
                <?php
                }
                if ($config->show_creation_date)
                {
                ?>
                    <th class="edocman-created-date-col center">
                        <?php echo JText::_('EDOCMAN_CREATED_DATE'); ?>
                    </th>
                <?php
                }
                ?>
                <th class="edocman-table-download-col center">
                    <?php echo JText::_('EDOCMAN_DOWNLOAD'); ?>
                </th>
        </tr>
    </thead>
    <tbody>
    <?php
    $total = 0 ;
    $activeItemid = $Itemid;
    for ($i = 0 , $n = count($items) ; $i < $n; $i++)
    {
        $catId = $categoryId;
        $item = $items[$i] ;
        $Itemid = EDocmanHelperRoute::getDocumentMenuId($item->id, $catId, $activeItemid);
        if ($config->show_detail_in_popup)
        {
            $url = JRoute::_('index.php?option=com_edocman&view=document&id='.$item->id.'&catid='.$catId.'&tmpl=component&Itemid='.$Itemid);
        }
        else
        {
            $url = JRoute::_('index.php?option=com_edocman&view=document&id='.$item->id.'&catid='.$catId.'&Itemid='.$Itemid);
        }
        $canEdit	= $user->authorise('core.edit',			'com_edocman.document.'.$item->id);
        $canDownload = $user->authorise('edocman.download', 'com_edocman.document.'.$item->id) ;
        $canDownload = ($item->created_user_id == $userId) || ($item->user_ids == "" && ($canDownload || $canEdit)) || ($item->user_ids && in_array($userId, explode(',', $item->user_ids))) ;
        if ($config->hide_download_button !== '1')
        {
            $downloadUrl = JRoute::_('index.php?option=com_edocman&task=document.download&id='.$item->id.'&Itemid='.$Itemid) ;
        }
        else
        {
            $downloadUrl = JRoute::_('index.php?option=com_edocman&task=document.viewdoc&id='.$item->id.'&Itemid='.$Itemid) ;
        }
        if ($config->category_table_show_filetype || $config->category_table_show_filesize)
        {
            require_once JPATH_ROOT.'/components/com_edocman/helper/file.class.php' ;
            $item->data = new EDocman_File($item->filename, $config->documents_path) ;
        }
        ?>
        <tr>
            <td>
                <?php
                if ($config->use_download_link_instead_of_detail_link && $canDownload)
                {
                ?>
                    <a href="<?php echo $downloadUrl; ?>" <?php echo $popup; ?>><?php echo $item->title; ?></a>
                <?php
                }
                else
                {
                ?>
                    <a href="<?php echo $url; ?>" <?php echo $popup; ?>><?php echo $item->title; ?></a>
                <?php
                }
                if($item->indicators != '')
                {
                    $indicators = explode(',', $item->indicators);
                ?>
                    <span class="indicators">
                    <?php
                        if(in_array('featured', $indicators))
                        {
                        ?>
                            <span class="edocman_featured">
                                    <?php echo JText::_('EDOCMAN_FEATURED');?>
                            </span>
                        <?php
                        }
                        if(in_array('hot', $indicators))
                        {
                        ?>
                            <span  class="edocman_hot">
                                <?php echo JText::_('EDOCMAN_HOT');?>
                            </span>
                        <?php
                        }
                        ?>
                    </span>
                <?php
                }
                ?>
            </td>
            <?php
            if ($config->category_table_show_filetype)
            {
            ?>
                <td>
                    <?php echo $item->data->mime; ?>
                </td>
            <?php
            }
            if ($config->category_table_show_filesize)
            {
            ?>
                <td>
                    <?php echo $item->data->size; ?>
                </td>
            <?php
            }
            if ($config->show_creation_date)
            {
            ?>
                <td class="center">
                    <?php echo JHtml::_('date', $item->created_time, $config->date_format, null); ?>
                </td>
            <?php
            }
            ?>
            <td class="center">
            <?php
                if ($canDownload)
                {
                ?>
                    <a href="<?php echo $downloadUrl; ?>" class="edocman-download-link">
                        <img src="<?php echo JUri::base().'/components/com_edocman/assets/images/icons/download.png'; ?>" />
                    </a>
                <?php
                }
                ?>
            </td>
        </tr>
        <?php
    }
    ?>
    </tbody>
</table>